# config/packages/vich_uploader.yaml or app/config/config.yml

vich_uploader:
    db_driver: orm # or mongodb or phpcr

    metadata:
        type: attribute

    mappings:
        coachs:
            uri_prefix: /uploads/coachs
            upload_destination: '%kernel.project_dir%/public/uploads/coachs'
            namer: Vich\UploaderBundle\Naming\OrignameNamer

            directory_namer: Vich\UploaderBundle\Naming\SubdirDirectoryNamer

        tools:
            uri_prefix: /uploads/tools
            upload_destination: '%kernel.project_dir%/public/uploads/tools'
            namer: Vich\UploaderBundle\Naming\OrignameNamer

            directory_namer: Vich\UploaderBundle\Naming\SubdirDirectoryNamer

        diplomas:
            uri_prefix: /uploads/diplomas
            upload_destination: '%kernel.project_dir%/public/uploads/diplomas'
            namer: Vich\UploaderBundle\Naming\OrignameNamer

            directory_namer: Vich\UploaderBundle\Naming\SubdirDirectoryNamer